var Ridge = require('ridge');

var app = new Ridge({
	collections: require('./collections'),
	models: require('./models'),
	views: require('./views')
});

app.module(require('spytext'));

$(function() {
	app.navigation = new app.views.Navigation({ el: app.$('nav') });
	app.snaptop = new app.views.SnapTop({ el: app.$('.snap-top-persistant') });
	app.prevnext = new app.views.PrevNext({ el: $('.prev-next') });
	app.burger = new app.views.BurgerHover({ el: $('header') });

	Backbone.history.start({ silent: true, pushState: true });
	$(document.head).append('<style> .splash,.splashspacer{height: ' + Math.max(window.innerHeight) + 'px !important;}</style>')
	console.log(app)
});

